predictionio-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Noelia Osés Fernández <no...@vicomtech.org>
Subject Re: Error while building E-Commerce Recommendation engine with PIO 0.12.0-incubating
Date Tue, 31 Oct 2017 14:20:40 GMT
Could this error be happening because of the following?

I've reinstalled PIO 0.12.0-incubating and during the installation I've
observed that the screen print out read the following:

PIO_SCALA_VERSION=2.11.8
PIO_SPARK_VERSION=2.1.1
PIO_ELASTICSEARCH_VERSION=5.5.2
PIO_HADOOP_VERSION=2.7.3

However, following the installation instructions on the PIO website
https://predictionio.incubator.apache.org/install/install-sourcecode/, the
hadoop version installed while installing spark does not match the above
requirements:

$ wget http://d3kbcqa49mib13.cloudfront.net/spark-2.1.1-bin-hadoop2.6.tgz$
tar zxvfC spark-2.1.1-bin-hadoop2.6.tgz
PredictionIO-0.12.0-incubating/vendors


Could this be the cause of the error mentioned in my previous email?

Any help will be much appreciated.

Noelia



On 25 October 2017 at 11:27, Noelia Osés Fernández <noses@vicomtech.org>
wrote:

> Hi all,
>
> I've just installed PIO 0.12.0-incubating and I'm trying to run the e-com
> recommender engine using E-Commerce Recommendation
> <https://github.com/apache/incubator-predictionio-template-ecom-recommender>
> template to test that everything is working well on a cloud server.
>
> However, while I'm trying to build the engine I get the following error:
>
> [INFO] [Engine$] Using command '/home/ubuntu/PredictionIO/
> apache-predictionio-0.12.0-incubating/PredictionIO-0.12.0-incubating/sbt/sbt'
> at /home/ubuntu/PredictionIO/apache-predictionio-0.12.0-
> incubating/PredictionIO-0.12.0-incubating/ecomrecom to build.
> [INFO] [Engine$] If the path above is incorrect, this process will fail.
> [INFO] [Engine$] Uber JAR disabled. Making sure lib/pio-assembly-0.12.0-incubating.jar
> is absent.
> [INFO] [Engine$] Going to run: /home/ubuntu/PredictionIO/
> apache-predictionio-0.12.0-incubating/PredictionIO-0.12.0-incubating/sbt/sbt
> package assemblyPackageDependency in /home/ubuntu/PredictionIO/
> apache-predictionio-0.12.0-incubating/PredictionIO-0.12.
> 0-incubating/ecomrecom
>
> *[ERROR] [Engine$] Return code of build command:
> /home/ubuntu/PredictionIO/apache-predictionio-0.12.0-incubating/PredictionIO-0.12.0-incubating/sbt/sbt
> package assemblyPackageDependency is 1. Aborting.*
> I have no idea what this error message means.
> Any help is much appreciated.
>
> Best regards,
> Noelia
>
> --
>
>
>
>
>
>
>
>

Mime
View raw message